{
  lib,
  pkgs,
  ...
}: {
  home.packages = with pkgs; [
    yazi # terminal file manager

    # archives
    zip
    xz
    unzip
    p7zip

    # utils
    tmux
    bat
    lazygit
    bottom
    ripgrep
    jq
    yq-go
    fzf
    fh
    aria2
    yt-dlp
    obsidian
    vscode
    weechat
    inetutils

    # misc
    cowsay
    file
    which
    tree
    gnutar
    gnupg
    zoxide
    babelfish

    # language-specific package managers
    nodejs
    cargo
    python3

    # nix specific stuff
    nixd
    deadnix
    alejandra
    statix
  ];
}
